.corner-ribbon {
  position: absolute;
  right: -5px; top: -5px;
  z-index: 1;
  overflow: hidden;
  width: 75px; height: 75px;
  text-align: right;
}
.corner-ribbon span {
  font-size: 10px;
  font-weight: bold;
  color: #FFF;
  text-transform: uppercase;
  text-align: center;
  line-height: 20px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  width: 100px;
  display: block;
  box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
  position: absolute;
  top: 19px; right: -21px;
}
.corner-ribbon span::before {
  content: "";
  position: absolute; left: 0px; top: 100%;
  z-index: -1;
  border-right: 3px solid transparent;
  border-bottom: 3px solid transparent;
}
.corner-ribbon span::after {
  content: "";
  position: absolute; right: 0px; top: 100%;
  z-index: -1;
  border-left: 3px solid transparent;
  border-bottom: 3px solid transparent;
}

.corner-ribbon.blue span{
  background: #0069B4;
  background: linear-gradient(#52b7ff 0%, #0069B4 100%);
}
.corner-ribbon.blue span::before {
  border-left: 3px solid #52b7ff;
  border-top: 3px solid #52b7ff;
}
.corner-ribbon.blue span::after {
  border-right: 3px solid #52b7ff;
  border-top: 3px solid #52b7ff;
}

.corner-ribbon.red span{
  background: #e60073;
  background: linear-gradient(#e60073 0%, #ac0056 100%);
}
.corner-ribbon.red span::before {
  border-left: 3px solid #7B1518;
  border-top: 3px solid #7B1518;
}
.corner-ribbon.red span::after {
  border-right: 3px solid #7B1518;
  border-top: 3px solid #7B1518;
}

.corner-ribbon.pink span{
  background: #ED1651;
  background: linear-gradient(#f57697 0%, #ED1651 100%);
}
.corner-ribbon.pink span::before {
  border-left: 3px solid #f57697;
  border-top: 3px solid #f57697;
}
.corner-ribbon.pink span::after {
  border-right: 3px solid #f57697;
  border-top: 3px solid #f57697;
}

/* green */
.corner-ribbon.green span{
  background: #449c44;
  background: linear-gradient(#5cb85c 0%, #449c44 100%);
}
.corner-ribbon.green span::before {
  border-left: 3px solid #5cb85c;
  border-top: 3px solid #5cb85c;
}
.corner-ribbon.green span::after {
  border-right: 3px solid #5cb85c;
  border-top: 3px solid #5cb85c;
}

/* violet */
.corner-ribbon.violet span{
  background: #800080;
  background: linear-gradient(#9F5F9F 0%, #800080 100%);
}
.corner-ribbon.violet span::before {
  border-left: 3px solid #9F5F9F;
  border-top: 3px solid #9F5F9F;
}
.corner-ribbon.violet span::after {
  border-right: 3px solid #9F5F9F;
  border-top: 3px solid #9F5F9F;
}

/* emerald */
.corner-ribbon.emerald span{
  background: #1d817e;
  background: linear-gradient(#27aba6 0%, #1d817e 100%);
}
.corner-ribbon.emerald span::before {
  border-left: 3px solid #27aba6;
  border-top: 3px solid #27aba6;
}
.corner-ribbon.emerald span::after {
  border-right: 3px solid #27aba6;
  border-top: 3px solid #27aba6;
}

/* grey */
.corner-ribbon.grey span{
  background: #999793;
  background: linear-gradient(#999793 0%, #7A7875 100%);
}
.corner-ribbon.grey span::before {
  border-left: 3px solid #999793;
  border-top: 3px solid #999793;
}
.corner-ribbon.grey span::after {
  border-right: 3px solid #999793;
  border-top: 3px solid #999793;
}

/* white */
.corner-ribbon.white span{
  background: #fff;
  background: linear-gradient(#fff 0%, #eee 100%);
  color: #444;
}
.corner-ribbon.white span::before {
  border-left: 3px solid #999793;
  border-top: 3px solid #999793;
}
.corner-ribbon.white span::after {
  border-right: 3px solid #999793;
  border-top: 3px solid #999793;
}